import { Button, Image } from 'vant'
import { defineComponent } from 'vue'
import styles from './phone.module.less'

export default defineComponent({
  name: 'phone',
  setup() {
    return () => (
      <div class={styles.phone}>
        <Button icon="plus" block class={styles.addPhone}>
          新建相册
        </Button>

        <div class={styles.phoneContainer}>
          {[1, 2, 3, 4, 5, 6].map((item: any) => (
            <div class={styles.item}>
              <Image
                class={styles.img}
                src="https://daya.ks3-cn-beijing.ksyuncs.com/12/1670231208704.png"
              />

              <p class={styles.name}>2021年上学期</p>
              <p class={styles.num}>80张</p>
            </div>
          ))}
        </div>
      </div>
    )
  }
})
